libkeymap 2.4.0 Library to manage the Linux keymaps

Data Structures | Functions
array.h File Reference
`#include <sys/param.h>`
`#include <sys/types.h>`

Go to the source code of this file.

## Data Structures
struct | lk_array
| Basic structure for array implementation. More...

## Functions
int | lk_array_init (struct lk_array *a, ssize_t memb, ssize_t size)
int | lk_array_free (struct lk_array *a)
int | lk_array_empty (struct lk_array *a)
int | lk_array_append (struct lk_array *a, const void *e)
int | lk_array_set (struct lk_array *a, ssize_t i, const void *e)
void * | lk_array_get (struct lk_array *a, ssize_t i)
void * | lk_array_get_ptr (struct lk_array *a, ssize_t i)
int | lk_array_unset (struct lk_array *a, ssize_t i)
int | lk_array_exists (struct lk_array *a, ssize_t i)

## Function Documentation

## ◆ lk_array_init()

int lk_array_init | ( | struct lk_array * | a,
|  | ssize_t | memb,
|  | ssize_t | size
| ) |  |

## ◆ lk_array_free()

int lk_array_free | ( | struct lk_array * | a | ) |

## ◆ lk_array_empty()

int lk_array_empty | ( | struct lk_array * | a | ) |

## ◆ lk_array_append()

int lk_array_append | ( | struct lk_array * | a,
|  | const void * | e
| ) |  |

## ◆ lk_array_set()

int lk_array_set | ( | struct lk_array * | a,
|  | ssize_t | i,
|  | const void * | e
| ) |  |

## ◆ lk_array_get()

void * lk_array_get | ( | struct lk_array * | a,
|  | ssize_t | i
| ) |  |

## ◆ lk_array_get_ptr()

void * lk_array_get_ptr | ( | struct lk_array * | a,
|  | ssize_t | i
| ) |  |

## ◆ lk_array_unset()

int lk_array_unset | ( | struct lk_array * | a,
|  | ssize_t | i
| ) |  |

## ◆ lk_array_exists()

int lk_array_exists | ( | struct lk_array * | a,
|  | ssize_t | i
| ) |  |